Bug 176393 - kcontrol network settings does not recognize FC4
kcontrol network settings does not recognize FC4
Product: Fedora
Classification: Fedora
Component: kdeadmin (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: 176630 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-12-21 22:08 EST by Grant DeLorean
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: kdeadmin-3.5.1-0.1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-08 22:34:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Grant DeLorean 2005-12-21 22:08:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
 Start kcontrol, go to "Internet & Network", select "Network Settings". The message:
"Your Platform is Not Supported
You may choose one of the following supported platforms..."

 Fedora Core 1, 2 and 3 are listed. FC4 is not.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start kcontrol
2.Select "Internet & Network"
3.Select "Network Settings"

Actual Results:  A message with selection list appears. Message reads:
"Your Platform is Not Supported
You may choose one of the following supported platforms if you are sure your platform behaves the same as the chosen one. Please be sure, because your current network configuration could be damaged."

Expected Results:  The network configuration section should have come up.

Additional info:

This is on a fully updated FC4 system, including the arts-1.5.0-0.2.fc4 and kdelibs-3.5.0-0.2.fc4 updates, though it happened with the KDE 3.5 update before those as well (the two updates mentioned to establish update level, not to suggest arts has anything to do with it).
Comment 1 Niko Mirthes 2006-01-06 17:52:54 EST
This kcontrol module is actually part of kdeadmin. Grant, could you change the
Component field?

FC4 is present upstream and will appear on the list as of KDE 3.5.1, which is
due for release around Jan. 20, 2006.
Comment 2 Chitlesh GOORAH 2006-01-06 18:04:22 EST
coming from #176630, Ive even searched in 2 different kdebase, but i don't even
get "Network Settings". Which can be read here
but someone in the "my" comments reported(who has one of my 2 different kdebase)
that he has the "Network Settings". 
Comment 3 Grant DeLorean 2006-01-06 22:40:06 EST
Sorry about the component field mix up, I found which RPM kcontrol was in and
used that. I promise to do better if I find something else to report in the
future. :-}
Comment 4 Ngo Than 2006-01-19 12:33:19 EST
*** Bug 176630 has been marked as a duplicate of this bug. ***
Comment 5 Grant DeLorean 2006-02-08 22:34:42 EST
 Fixed with 3.5.1 update, no longer an issue.

Note You need to log in before you can comment on or make changes to this bug.